> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal camera location map

> Get basic information about all cameras and their locations in organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/getMinimalCameraLocationMap
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/getMinimalCameraLocationMap:
    post:
      tags:
        - Camera Webservice
      summary: Get minimal camera location map
      description: >-
        Get basic information about all cameras and their locations in
        organization
      operationId: getMinimalCameraLocationMap
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_GetMinimalCameraLocationMapWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Camera_GetMinimalCameraLocationMapWSResponse
          description: OK
components:
  schemas:
    Camera_GetMinimalCameraLocationMapWSRequest:
      type: object
      description: Request to retrieve a mapping of cameras to their location information.
    Camera_GetMinimalCameraLocationMapWSResponse:
      type: object
      description: Response containing a mapping of cameras to their location information.
      properties:
        cameraLocationMap:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/Camera_GetMinimalCameraLocationMapWSResponse_CameraLocationInfo
          description: Mapping of camera UUIDs to location information
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Camera_GetMinimalCameraLocationMapWSResponse_CameraLocationInfo:
      type: object
      description: Information about a camera's location.
      properties:
        cameraName:
          type: string
          description: Name of the camera
          example: Front Door Camera
          nullable: true
        locationName:
          type: string
          description: Name of the location
          example: Main Building
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````